> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# jobPostingSearchCount

`POST /v1/job-search/count`

**Tags:** `Search`

Job postings count

**Endpoint:** `https://api.fiber.ai/v1/job-search/count`

## Description

Get count of job postings matching search filters

⚡ Rate limit: 120 requests per 1 minute

💰 Cost: 1 credit per request ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "searchParams": {
      "type": "object",
      "properties": {
        "companies": {
          "oneOf": [
            {
              "type": "object",
              "properties": {
                "identifier": {
                  "type": "string",
                  "enum": [
                    "linkedinSlug"
                  ]
                },
                "value": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1
                  },
                  "description": "Array of LinkedIn company slugs (e.g., ['microsoft'])"
                }
              },
              "required": [
                "identifier",
                "value"
              ]
            },
            {
              "type": "object",
              "properties": {
                "identifier": {
                  "type": "string",
                  "enum": [
                    "domain"
                  ]
                },
                "value": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "pattern": "^(https?:\\/\\/)?([a-zA-Z0-9-]+\\.)+[a-zA-Z]{2,}(\\/.*)?$",
                    "description": "A domain, like 'example.com' or 'https://example.com'"
                  },
                  "description": "Array of company domains (e.g., ['microsoft.com'])"
                }
              },
              "required": [
                "identifier",
                "value"
              ]
            },
            {
              "type": "object",
              "properties": {
                "identifier": {
                  "type": "string",
                  "enum": [
                    "linkedinUrl"
                  ]
                },
                "value": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "format": "uri",
                    "pattern": "^(https?:\\/\\/)?(\\w+\\.)?linkedin\\.\\w+(\\.\\w+)?\\/(company|company-beta|showcase|organization|school|companies)\\/(?<slug>[^\\/\\?#]+)\\/?(\\?.*)?(#.*)?$",
                    "description": "A LinkedIn company URL, like 'https://www.linkedin.com/company/google'"
                  },
                  "description": "Array of LinkedIn company URLs, e.g., https://www.linkedin.com/company/microsoft/"
                }
              },
              "required": [
                "identifier",
                "value"
              ]
            },
            {
              "type": "object",
              "properties": {
                "identifier": {
                  "type": "string",
                  "enum": [
                    "linkedinOrgID"
                  ]
                },
                "value": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "pattern": "^\\d+$",
                    "description": "A LinkedIn organization ID (numeric string), e.g., '1035' for Microsoft"
                  },
                  "description": "Array of LinkedIn organization IDs (numeric strings), e.g., '1035' for Microsoft"
                }
              },
              "required": [
                "identifier",
                "value"
              ]
            },
            {
              "type": "null"
            }
          ],
          "description": "Filter jobs by one type of company identifier with array values"
        },
        "title": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "minLength": 1
          },
          "description": "Array of job titles for partial match (e.g., 'Software Engineer', 'Manager')"
        },
        "isActive": {
          "type": [
            "string",
            "null"
          ],
          "enum": [
            "true",
            "false",
            "no_preference",
            null
          ],
          "description": "Filter by job status: true=active, false=closed, no_preference=both"
        },
        "postedAt": {
          "oneOf": [
            {
              "type": "object",
              "properties": {
                "strategy": {
                  "type": "string",
                  "enum": [
                    "absolute"
                  ]
                },
                "range": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lowerBound": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "upperBound": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "required": [
                "strategy"
              ]
            },
            {
              "type": "object",
              "properties": {
                "strategy": {
                  "type": "string",
                  "enum": [
                    "relative"
                  ]
                },
                "window": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "lastN"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        },
                        "quantity": {
                          "type": "number",
                          "minimum": 1
                        }
                      },
                      "required": [
                        "method",
                        "period",
                        "quantity"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "within"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        },
                        "lowerBound": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "upperBound": {
                          "type": [
                            "number",
                            "null"
                          ]
                        }
                      },
                      "required": [
                        "method",
                        "period"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "calendar"
                          ]
                        },
                        "which": {
                          "type": "string",
                          "enum": [
                            "current",
                            "previous"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        }
                      },
                      "required": [
                        "method",
                        "which",
                        "period"
                      ]
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "strategy"
              ]
            },
            {
              "type": "null"
            }
          ],
          "description": "Filter by job posting date (supports relative and absolute dates)"
        },
        "numApplicants": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": [
                "integer",
                "null"
              ]
            },
            "upperBound": {
              "type": [
                "integer",
                "null"
              ]
            }
          },
          "description": "Filter by number of applicants (range)"
        },
        "jobFunctions": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "enum": [
              "Arts and Design",
              "Business Development",
              "Community & Social Services",
              "Consulting",
              "Education",
              "Engineering",
              "Entrepreneurship",
              "Healthcare Services",
              "Human Resources",
              "Information Technology",
              "Legal",
              "Military & Protective Services",
              "Operations",
              "Program & Product Management",
              "Real Estate",
              "Sales",
              "Support",
              "Administrative",
              "Finance",
              "Marketing",
              "Purchasing",
              "Product Management",
              "Advertising",
              "Analyst",
              "Customer Service",
              "Distribution",
              "Design",
              "General Business",
              "Management",
              "Manufacturing",
              "Other",
              "Public Relations",
              "Project Management",
              "Production",
              "Quality Assurance",
              "Research",
              "Science",
              "Supply Chain",
              "Training",
              "Health Care Provider",
              "Accounting",
              "Art / Creative",
              "Strategy / Planning",
              "Writing / Editing"
            ]
          },
          "description": "Array of job functions"
        },
        "industries": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "enum": [
              "Administrative Services",
              "Aerospace & Military",
              "Artificial Intelligence",
              "Arts & Music",
              "Automotive",
              "Business Services",
              "Cloud",
              "Construction",
              "Consulting",
              "Consumer Goods",
              "Consumer Services",
              "Design",
              "Education",
              "Energy",
              "Entertainment",
              "Environmental",
              "Events",
              "Farming & Agriculture",
              "Finance",
              "Food & Beverage",
              "Gaming",
              "Government",
              "Hardware",
              "Healthcare",
              "Hospitality",
              "Industrials",
              "Information Technology",
              "Insurance",
              "Legal",
              "Life Sciences",
              "Logistics",
              "Manufacturing",
              "Marketing & Advertising",
              "Media",
              "Mining",
              "Nonprofit",
              "Publishing",
              "Real Estate",
              "Retail",
              "Science & Engineering",
              "Security",
              "Software",
              "Sports",
              "Telecom",
              "Trade",
              "Transportation",
              "Travel & Tourism",
              "Utilities",
              "Venture Capital"
            ]
          },
          "description": "Array of industries"
        },
        "annualSalaryUsd": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": [
                "integer",
                "null"
              ]
            },
            "upperBound": {
              "type": [
                "integer",
                "null"
              ]
            }
          },
          "description": "Filter by annual salary range in USD"
        },
        "yearsOfExperience": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": [
                "integer",
                "null"
              ]
            },
            "upperBound": {
              "type": [
                "integer",
                "null"
              ]
            }
          },
          "description": "Filter by years of experience required"
        },
        "jobLocationType": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "enum": [
              "On-site",
              "Remote",
              "Hybrid"
            ]
          },
          "description": "Filter by work location type. Deprecated.",
          "deprecated": true
        },
        "employmentType": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "enum": [
              "Full-time",
              "Temporary",
              "Internship",
              "Contract",
              "Part-time",
              "Volunteer",
              "Other"
            ]
          },
          "description": "Array of employment types (e.g., Full-time, Part-time, Contract, Internship)"
        },
        "seniorityLevel": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "enum": [
              "Entry level",
              "Director",
              "Associate",
              "Mid-Senior level",
              "Internship",
              "Executive"
            ]
          },
          "description": "Array of seniority levels (e.g., Entry level, Mid-Senior level, Director)"
        },
        "countryOrRegionCode": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string",
            "enum": [
              "USA",
              "GBR",
              "FRA",
              "IND",
              "BRA",
              "DEU",
              "ESP",
              "CAN",
              "AUS",
              "NLD",
              "ITA",
              "ZAF",
              "BEL",
              "CHN",
              "TUR",
              "MEX",
              "CHE",
              "NOR",
              "ARE",
              "SWE",
              "POL",
              "IDN",
              "ARG",
              "PRT",
              "COL",
              "CHL",
              "PAK",
              "DNK",
              "JPN",
              "NGA",
              "SGP",
              "PER",
              "NZL",
              "AUT",
              "IRL",
              "MYS",
              "BGD",
              "EGY",
              "ISR",
              "SAU",
              "PHL",
              "FIN",
              "IRN",
              "ROU",
              "CZE",
              "GRC",
              "HKG",
              "HUN",
              "KEN",
              "MAR",
              "VNM",
              "RUS",
              "UKR",
              "ECU",
              "THA",
              "LKA",
              "KOR",
              "BGR",
              "GHA",
              "SRB",
              "TWN",
              "HRV",
              "LTU",
              "PRI",
              "SVK",
              "TUN",
              "EST",
              "VEN",
              "CRI",
              "PAN",
              "URY",
              "LBN",
              "LUX",
              "CYP",
              "NPL",
              "JOR",
              "SVN",
              "MTQ",
              "QAT",
              "GLP",
              "UGA",
              "DZA",
              "GTM",
              "CMR",
              "LVA",
              "DOM",
              "AZE",
              "GEO",
              "SEN",
              "TZA",
              "ZWE",
              "KWT",
              "MLT",
              "OMN",
              "BOL",
              "SLV",
              "ARM",
              "PRY",
              "IRQ",
              "KHM",
              "BIH",
              "AGO",
              "BHR",
              "ALB",
              "KAZ",
              "CIV",
              "ETH",
              "MUS",
              "ZMB",
              "MKD",
              "COD",
              "BLR",
              "MOZ",
              "REU",
              "TTO",
              "GUF",
              "ISL",
              "MMR",
              "HND",
              "RWA",
              "MDG",
              "BEN",
              "UZB",
              "NAM",
              "BWA",
              "MDA",
              "JEY",
              "NIC",
              "SDN",
              "JAM",
              "IMN",
              "BFA",
              "MNG",
              "MNE",
              "MCO",
              "TGO",
              "AFG",
              "LBY",
              "XKX",
              "CYM",
              "MWI",
              "SOM",
              "PNG",
              "MDV",
              "MLI",
              "GIN",
              "PSE",
              "GAB",
              "LIE",
              "HTI",
              "SYR",
              "BRB",
              "YEM",
              "GGY",
              "NCL",
              "AND",
              "SUR",
              "MYT",
              "KGZ",
              "BHS",
              "GIB",
              "COG",
              "FJI",
              "BLM",
              "CUW",
              "CUB",
              "SLE",
              "BLZ",
              "NER",
              "LBR",
              "VIR",
              "PYF",
              "GUM",
              "MRT",
              "ABW",
              "SYC",
              "GUY",
              "LSO",
              "SWZ",
              "SSD",
              "LCA",
              "MAC",
              "SMR",
              "LAO",
              "BRN",
              "TCD",
              "BMU",
              "VGB",
              "PRK",
              "BTN",
              "BDI",
              "FRO",
              "TJK",
              "GMB",
              "STP",
              "ANT",
              "VCT",
              "DJI",
              "CPV",
              "TKM",
              "ATG",
              "TCA",
              "KNA",
              "GRD",
              "ASM",
              "VUT",
              "GNQ",
              "GRL",
              "SXM",
              "MNP",
              "COM",
              "TLS",
              "SJM",
              "CAF",
              "DMA",
              "MAF",
              "WSM",
              "BES",
              "MHL",
              "AIA",
              "TON",
              "COK",
              "SLB",
              "SPM",
              "GNB",
              "ATA",
              "TUV",
              "ALA",
              "IOT",
              "ERI",
              "PLW",
              "FSM",
              "NRU",
              "PCN",
              "FLK",
              "MSR",
              "VAT",
              "KIR",
              "SHN",
              "NIU",
              "WLF",
              "HMD",
              "CXR",
              "NFK",
              "ATF",
              "CCK",
              "SGS",
              "BVT",
              "UMI",
              "ESH",
              "TKL",
              "X-SOUTH_ASIA",
              "X-SOUTH_EAST_EUROPE",
              "X-NORTHERN_AFRICA",
              "X-PACIFIC",
              "X-SOUTH_WEST_EUROPE",
              "X-SOUTHERN_AFRICA",
              "X-WEST_INDIES",
              "X-SOUTH_AMERICA",
              "X-SOUTH_WEST_ASIA",
              "X-CENTRAL_EUROPE",
              "X-EASTERN_EUROPE",
              "X-WESTERN_EUROPE",
              "X-CENTRAL_AMERICA",
              "X-WESTERN_AFRICA",
              "X-SOUTH_ATLANTIC_OCEAN",
              "X-SOUTH_EAST_ASIA",
              "X-CENTRAL_AFRICA",
              "X-NORTH_AMERICA",
              "X-EAST_ASIA",
              "X-NORTHERN_EUROPE",
              "X-EASTERN_AFRICA",
              "X-SOUTHERN_INDIAN_OCEAN",
              "X-SOUTHERN_EUROPE",
              "X-CENTRAL_ASIA",
              "X-NORTHERN_ASIA",
              "X-ASIA",
              "X-EUROPE",
              "X-AFRICA",
              "X-OCEANIA",
              "X-AMERICAS",
              "X-ANTARCTICA",
              "X-ATLANTIC_OCEAN",
              "X-INDIAN_OCEAN",
              "X-MIDDLE_EAST",
              "X-MENA",
              "X-EMEA",
              "X-EUROPEAN_UNION",
              "X-EFTA",
              "X-APAC",
              "X-LATAM",
              "X-ANGLOSPHERE",
              "X-DACH",
              "X-NORDICS",
              "X-BENELUX",
              "X-GCC",
              "X-BRICS",
              "X-G20",
              "X-OECD",
              "X-SANCTIONED"
            ]
          },
          "description": "Array of country or region codes (e.g., USA, IND, X-ANGLOSPHERE)"
        }
      },
      "additionalProperties": false,
      "description": "Job search filter parameters"
    }
  },
  "required": [
    "apiKey",
    "searchParams"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "totalJobsFound": {
          "type": "integer",
          "minimum": 0,
          "description": "Total number of jobs matching the search criteria"
        }
      },
      "required": [
        "totalJobsFound"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "default": [],
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo",
    "advice"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
